%{?nodejs_find_provides_and_requires}

%global packagename is-resolvable
%global enable_tests 1

Name:		nodejs-is-resolvable
Version:	1.0.0
Release:	1%{?dist}
Summary:	Check if a module ID is resolvable with require()

License:	MIT
URL:		https://github.com/shinnn/is-resolvable
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/shinnn/is-resolvable/v%{version}/test.js
# Add patch to point to a different file that already needs to be installed
Patch0:		nodejs-is-resolvable_fix-tests.patch

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(tryit)

%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

%description
Check if a module ID is resolvable with require()


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .
# patch the tests
%patch0 -p1

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Jul 27 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
